Bug 4157 - Display of barcode in checked out items in OPAC
Summary: Display of barcode in checked out items in OPAC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Srdjan Jankovic
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 18348
  Show dependency treegraph
 
Reported: 2010-02-11 07:03 UTC by vimal kumar
Modified: 2017-03-29 20:52 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (4.12 KB, patch)
2011-03-31 05:06 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
patch (9.97 KB, patch)
2011-03-31 05:07 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Signoff 1/2 (4.21 KB, patch)
2011-04-04 12:13 UTC, Matthias Meusburger
Details | Diff | Splinter Review
Signoff 2/2 (10.06 KB, patch)
2011-04-04 12:14 UTC, Matthias Meusburger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:23:48 UTC


---- Reported by vimal0212@gmail.com 2010-02-11 07:03:11 ----

In present context list of checked out items in OPAC gives minimum information i.e. Title, Call Number, Due Date and Fine. It is necessary to display the barcode of the book in OPAC personal account display. when a person login to OPAC to check his borrowed items, he cant identify the barcode of his book. In the case of students stay in same hostel face problems while identify his/her book among others.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:23 UTC  ---

This bug was previously known as _bug_ 4157 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4157

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Comment 1 Srdjan Jankovic 2011-03-31 05:06:39 UTC
Created attachment 3568 [details] [review]
patch
Comment 2 Srdjan Jankovic 2011-03-31 05:07:25 UTC
Created attachment 3569 [details] [review]
patch
Comment 3 Owen Leonard 2011-03-31 12:59:03 UTC
This implementation seems to work, after manually running patron_atributes.sql. I'm curious about the implementation, though. Using a patron attribute appears to be a wholly new method for controlling how something in presented to users. I would have expected this to be an option for patron categories or even a granular permission.

It's it impractical to have to add this on a per-patron basis, or is the situation prompting this enhancement so specific as to require a per-patron implementation?
Comment 4 Chris Cormack 2011-03-31 19:55:45 UTC
Owen, they wanted it so that individual patrons can switch it off. Using the atrributes seemed to be the best way to accomplish it.
Comment 5 Matthias Meusburger 2011-04-04 12:09:19 UTC
Steps to validate : 

 - running patron_atributes.sql
 - adding YES_NO authorized values
 - Changed the patron attribute to see if the barcode display switched well. It did. Ok for me.
Comment 6 Matthias Meusburger 2011-04-04 12:13:51 UTC
Created attachment 3619 [details] [review]
Signoff 1/2

Signoff 1/2
Comment 7 Matthias Meusburger 2011-04-04 12:14:18 UTC
Created attachment 3620 [details] [review]
Signoff 2/2

Signoff 2/2
Comment 8 Chris Cormack 2011-04-05 02:58:36 UTC
Pushed, please test
Comment 9 MJ Ray (software.coop) 2011-04-11 08:32:12 UTC
This bug is mentioned in:
wr76595 (bug 4157): Control barcode display	with a borrower attribute http://lists.koha-community.org/pipermail/koha-patches/2011-March/014394.html